Last Comment Bug 485818 - Add a Chatzilla toolbar button to the SeaMonkey Navigator toolbarpalette.
: Add a Chatzilla toolbar button to the SeaMonkey Navigator toolbarpalette.
Status: RESOLVED FIXED
[cz-0.9.85]
:
Product: Other Applications
Classification: Client Software
Component: ChatZilla (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Robert Ginda
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 12:13 PDT by Philip Chee
Modified: 2012-05-30 01:30 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Adds a chatzilla toolbar button to the navigator toolbarpalette. (1.89 KB, patch)
2009-03-29 12:20 PDT, Philip Chee
bugzilla-mozilla-20000923: review+
Details | Diff | Review

Description Philip Chee 2009-03-29 12:13:37 PDT
Adding this line to the chrome.manifest allows the chatzilla toolbarbutton to appear in the navigator customize toolbar window:

+overlay chrome://navigator/content/navigator.xul chrome://chatzilla/content/browserOverlay.xul application={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
Comment 1 Philip Chee 2009-03-29 12:20:08 PDT
Created attachment 369913 [details] [diff] [review]
Adds a chatzilla toolbar button to the navigator toolbarpalette.
Comment 2 :Gijs Kruitbosch 2009-03-29 12:23:29 PDT
Pretty sure we can't do it like that because of the menus? Nevermind this not working on SeaMonkey 1.1 :-\
Comment 3 Philip Chee 2009-03-29 12:29:24 PDT
Comment on attachment 369913 [details] [diff] [review]
Adds a chatzilla toolbar button to the navigator toolbarpalette.

1. This is only for SM 2.0b1pre. SM 1.1x doesn't have customizable toolbars anyway.

2. Non matching IDs don't get merged into the base XUL.
Comment 4 :Gijs Kruitbosch 2009-03-29 12:33:04 PDT
(In reply to comment #3)
> (From update of attachment 369913 [details] [diff] [review])
> 1. This is only for SM 2.0b1pre. SM 1.1x doesn't have customizable toolbars
> anyway.

I didn't know that. Impressive.
Comment 5 James Ross 2009-04-24 05:25:47 PDT
Checked in --> FIXED.
Comment 6 simon anderson 2009-05-19 06:56:28 PDT
Is the small CZ icon smaller than any other icons? Its text doesn't seem to align properly.
Off topic, but could you also have a look at the Javascript Debugger icon, which makes a terrible mess when it's put on a toolbar?
Comment 7 James Ross 2009-05-19 07:03:13 PDT
The ChatZilla toolbar icon size is bug 423647; any other issues should be filed as new bugs in the correct component - if they don't already exist.
Comment 8 Serge Gautherie (:sgautherie) 2012-05-30 01:30:41 PDT
(In reply to James Ross from comment #5)
> Checked in --> FIXED.

http://bonsai.mozilla.org/cvslog.cgi?file=mozilla/extensions/irc/jar.mn&rev=1.44
for FF 3.0.11 / SM 2.0b1

Note You need to log in before you can comment on or make changes to this bug.